Subject: Re: [PATCH v2 0/8] mm/memory_hotplug: allow to specify a default online_type

From: Vitaly Kuznetsov <[email-masked]>
Date: Wed, 18 Mar 2020 16:00:15 +0100

Baoquan He <[email-masked]> writes:

> Is there a reason hyperV need boot with small memory, then enlarge it
> with huge memory? Since it's a real case in hyperV, I guess there must
> be reason, I am just curious.
>

It doesn't really *need* to but this can be utilized in e.g. 'hot
standby' schemes I believe. Also, it may be enough if the administrator
is just trying to e.g. double the size of RAM but the VM is already
under memory pressure. I wouldn't say that these cases are common but
afair bugs like 'I tried adding more memory to my VM and it just OOMed'
were reported in the past.

-- 
Vitaly